अवलोकनीयता
ऑब्ज़र्वेबिलिटी गंतव्य बनाएं
Broadcast गंतव्य बनाएं: OpenTelemetry टूल, वेबहुक, स्टोरेज बकेट या डेटा वेयरहाउस।
POST
/
observability
/
destinations
ऑब्ज़र्वेबिलिटी गंतव्य बनाएँ
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
config: {},
enabled: true,
privacy_mode: true,
sampling_rate: 0.50005,
include_generation_metadata: true,
include_cost_metadata: true,
include_identity_metadata: true,
include_request_context: true,
key_filters: [{key_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'}],
rule_groups: [{rules: [{value: '<string>'}]}]
})
};
fetch('https://api.phaseo.app/v1/observability/destinations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.phaseo.app/v1/observability/destinations"
payload = {
"name": "<string>",
"config": {},
"enabled": True,
"privacy_mode": True,
"sampling_rate": 0.50005,
"include_generation_metadata": True,
"include_cost_metadata": True,
"include_identity_metadata": True,
"include_request_context": True,
"key_filters": [{ "key_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }],
"rule_groups": [{ "rules": [{ "value": "<string>" }] }]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)curl --request POST \
--url https://api.phaseo.app/v1/observability/destinations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"config": {},
"enabled": true,
"privacy_mode": true,
"sampling_rate": 0.50005,
"include_generation_metadata": true,
"include_cost_metadata": true,
"include_identity_metadata": true,
"include_request_context": true,
"key_filters": [
{
"key_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"rule_groups": [
{
"rules": [
{
"value": "<string>"
}
]
}
]
}
'package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.phaseo.app/v1/observability/destinations"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"config\": {},\n \"enabled\": true,\n \"privacy_mode\": true,\n \"sampling_rate\": 0.50005,\n \"include_generation_metadata\": true,\n \"include_cost_metadata\": true,\n \"include_identity_metadata\": true,\n \"include_request_context\": true,\n \"key_filters\": [\n {\n \"key_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n }\n ],\n \"rule_groups\": [\n {\n \"rules\": [\n {\n \"value\": \"<string>\"\n }\n ]\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.phaseo.app/v1/observability/destinations")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"config\": {},\n \"enabled\": true,\n \"privacy_mode\": true,\n \"sampling_rate\": 0.50005,\n \"include_generation_metadata\": true,\n \"include_cost_metadata\": true,\n \"include_identity_metadata\": true,\n \"include_request_context\": true,\n \"key_filters\": [\n {\n \"key_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n }\n ],\n \"rule_groups\": [\n {\n \"rules\": [\n {\n \"value\": \"<string>\"\n }\n ]\n }\n ]\n}")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.phaseo.app/v1/observability/destinations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'config' => [
],
'enabled' => true,
'privacy_mode' => true,
'sampling_rate' => 0.50005,
'include_generation_metadata' => true,
'include_cost_metadata' => true,
'include_identity_metadata' => true,
'include_request_context' => true,
'key_filters' => [
[
'key_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
]
],
'rule_groups' => [
[
'rules' => [
[
'value' => '<string>'
]
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.phaseo.app/v1/observability/destinations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"config\": {},\n \"enabled\": true,\n \"privacy_mode\": true,\n \"sampling_rate\": 0.50005,\n \"include_generation_metadata\": true,\n \"include_cost_metadata\": true,\n \"include_identity_metadata\": true,\n \"include_request_context\": true,\n \"key_filters\": [\n {\n \"key_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n }\n ],\n \"rule_groups\": [\n {\n \"rules\": [\n {\n \"value\": \"<string>\"\n }\n ]\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "arize",
"name": "<string>",
"enabled": true,
"privacy_mode": true,
"sampling_rate": 0.50005,
"group_join": "and",
"key_filters": [
{
"key_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mode": "include"
}
],
"rule_groups": [
{
"match": "and",
"rules": [
{
"field": "model",
"condition": "equals",
"value": "<string>"
}
]
}
],
"configured": true,
"include_generation_metadata": true,
"include_cost_metadata": true,
"include_identity_metadata": true,
"include_request_context": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "validation_error",
"message": "Unknown parameter: foo",
"type": "invalid_request_error",
"param": "foo"
},
"ok": false,
"code": "validation_error",
"message": "Human-readable error message",
"description": "Additional error details.",
"generation_id": "G-abc123",
"status_code": 502,
"error_type": "system",
"error_origin": "upstream",
"reason": "all_candidates_failed",
"attempt_count": 2,
"failed_providers": [
"google-ai-studio",
"openai"
],
"failed_statuses": [
403,
429
],
"upstream_error": {
"code": "PERMISSION_DENIED",
"message": "The caller does not have permission.",
"description": "<string>",
"param": "<string>"
},
"failure_sample": [
{
"provider": "<string>",
"type": "<string>",
"status": 123,
"upstream_error_code": "<string>",
"upstream_error_message": "<string>",
"upstream_error_description": "<string>",
"upstream_error_param": "<string>",
"upstream_payload_preview": "<string>",
"retryable": true
}
],
"provider_failure_diagnostics": {
"category": "credentials_not_configured",
"hint": "<string>",
"provider": "<string>"
},
"routing_diagnostics": {
"filterStages": [
{
"stage": "<string>",
"beforeCount": 123,
"afterCount": 123,
"droppedProviders": [
{
"providerId": "<string>",
"reason": "<string>"
}
]
}
]
},
"provider_candidate_diagnostics": {
"totalProviders": 123,
"supportsEndpointCount": 123,
"candidateCount": 123,
"droppedUnsupportedEndpoint": [
"<string>"
],
"droppedMissingAdapter": [
{
"providerId": "<string>",
"endpoint": "<string>"
}
]
},
"provider_enablement": {
"capability": "<string>",
"providersBefore": [
"<string>"
],
"providersAfter": [
"<string>"
],
"dropped": [
{
"providerId": "<string>",
"reason": "<string>"
}
]
},
"missing_pricing_providers": [
"<string>"
],
"provider_payment_required_provider": "openai",
"provider_payment_required_support_notice": "Our upstream provider billing appears to be unavailable. If this persists, contact support.",
"details": [
{}
]
}{
"error": {
"code": "validation_error",
"message": "Unknown parameter: foo",
"type": "invalid_request_error",
"param": "foo"
},
"ok": false,
"code": "validation_error",
"message": "Human-readable error message",
"description": "Additional error details.",
"generation_id": "G-abc123",
"status_code": 502,
"error_type": "system",
"error_origin": "upstream",
"reason": "all_candidates_failed",
"attempt_count": 2,
"failed_providers": [
"google-ai-studio",
"openai"
],
"failed_statuses": [
403,
429
],
"upstream_error": {
"code": "PERMISSION_DENIED",
"message": "The caller does not have permission.",
"description": "<string>",
"param": "<string>"
},
"failure_sample": [
{
"provider": "<string>",
"type": "<string>",
"status": 123,
"upstream_error_code": "<string>",
"upstream_error_message": "<string>",
"upstream_error_description": "<string>",
"upstream_error_param": "<string>",
"upstream_payload_preview": "<string>",
"retryable": true
}
],
"provider_failure_diagnostics": {
"category": "credentials_not_configured",
"hint": "<string>",
"provider": "<string>"
},
"routing_diagnostics": {
"filterStages": [
{
"stage": "<string>",
"beforeCount": 123,
"afterCount": 123,
"droppedProviders": [
{
"providerId": "<string>",
"reason": "<string>"
}
]
}
]
},
"provider_candidate_diagnostics": {
"totalProviders": 123,
"supportsEndpointCount": 123,
"candidateCount": 123,
"droppedUnsupportedEndpoint": [
"<string>"
],
"droppedMissingAdapter": [
{
"providerId": "<string>",
"endpoint": "<string>"
}
]
},
"provider_enablement": {
"capability": "<string>",
"providersBefore": [
"<string>"
],
"providersAfter": [
"<string>"
],
"dropped": [
{
"providerId": "<string>",
"reason": "<string>"
}
]
},
"missing_pricing_providers": [
"<string>"
],
"provider_payment_required_provider": "openai",
"provider_payment_required_support_notice": "Our upstream provider billing appears to be unavailable. If this persists, contact support.",
"details": [
{}
]
}{
"error": {
"code": "validation_error",
"message": "Unknown parameter: foo",
"type": "invalid_request_error",
"param": "foo"
},
"ok": false,
"code": "validation_error",
"message": "Human-readable error message",
"description": "Additional error details.",
"generation_id": "G-abc123",
"status_code": 502,
"error_type": "system",
"error_origin": "upstream",
"reason": "all_candidates_failed",
"attempt_count": 2,
"failed_providers": [
"google-ai-studio",
"openai"
],
"failed_statuses": [
403,
429
],
"upstream_error": {
"code": "PERMISSION_DENIED",
"message": "The caller does not have permission.",
"description": "<string>",
"param": "<string>"
},
"failure_sample": [
{
"provider": "<string>",
"type": "<string>",
"status": 123,
"upstream_error_code": "<string>",
"upstream_error_message": "<string>",
"upstream_error_description": "<string>",
"upstream_error_param": "<string>",
"upstream_payload_preview": "<string>",
"retryable": true
}
],
"provider_failure_diagnostics": {
"category": "credentials_not_configured",
"hint": "<string>",
"provider": "<string>"
},
"routing_diagnostics": {
"filterStages": [
{
"stage": "<string>",
"beforeCount": 123,
"afterCount": 123,
"droppedProviders": [
{
"providerId": "<string>",
"reason": "<string>"
}
]
}
]
},
"provider_candidate_diagnostics": {
"totalProviders": 123,
"supportsEndpointCount": 123,
"candidateCount": 123,
"droppedUnsupportedEndpoint": [
"<string>"
],
"droppedMissingAdapter": [
{
"providerId": "<string>",
"endpoint": "<string>"
}
]
},
"provider_enablement": {
"capability": "<string>",
"providersBefore": [
"<string>"
],
"providersAfter": [
"<string>"
],
"dropped": [
{
"providerId": "<string>",
"reason": "<string>"
}
]
},
"missing_pricing_providers": [
"<string>"
],
"provider_payment_required_provider": "openai",
"provider_payment_required_support_notice": "Our upstream provider billing appears to be unavailable. If this persists, contact support.",
"details": [
{}
]
}इस एंडपॉइंट के लिए
settings:write वाली मैनेजमेंट API कुंजी चाहिए।config ऑब्जेक्ट सिर्फ़ लिखा जा सकता है और संग्रहीत होने से पहले एन्क्रिप्ट किया जाता है। एंडपॉइंट को सार्वजनिक HTTPS पते इस्तेमाल करने होंगे। हर गंतव्य क्या करता है और उसे क्या मिलता है, यह Broadcast में देखें।
हर गंतव्य प्रकार के लिए config सेट करें
सभी मान string हैं। जिस अनुरोध में कोई आवश्यक कुंजी न हो, या ऐसा मान हो जिसे गंतव्य उपयोग नहीं कर सकता, वह 400 लौटाता है, जिसके संदेश में उस कुंजी का नाम होता है।
type | आवश्यक config कुंजियां | वैकल्पिक config कुंजियां |
|---|---|---|
arize | api_key, space_id, project_name | base_url |
axiom | api_token, dataset | region |
bigquery | service_account_json, dataset, table | project_id |
braintrust | api_key, project_id | base_url |
clickhouse | endpoint, password, table | username, database |
comet_opik | api_key, workspace, project_name | base_url |
datadog | api_key | ml_app, site |
dynatrace | environment_url, api_token | token_type |
elastic | otlp_endpoint, api_key | — |
gcs | bucket, access_key_id, secret_access_key | path_template |
grafana_cloud | otlp_endpoint, instance_id, api_key | — |
honeycomb | api_key | region, dataset |
langfuse | secret_key, public_key | base_url |
langsmith | api_key | project, base_url |
new_relic | license_key | region |
otel_collector | otlp_endpoint | otlp_protocol, headers_json |
posthog | api_key | base_url |
r2 | account_id, bucket, access_key_id, secret_access_key | jurisdiction, path_template |
respan | api_key | base_url |
s3 | bucket, access_key_id, secret_access_key | region, endpoint, session_token, path_template |
sentry | otlp_endpoint, public_key | — |
snowflake | account, user, private_key, warehouse, database, schema, table | role |
wandb_weave | api_key, entity, project | base_url |
webhook | url | method, headers_json, signing_secret |
otlp_protocol (http/json या http/protobuf) और otlp_compression (none या gzip) भी स्वीकार करते हैं, सिवाय वहां के जहां वेंडर सिर्फ़ एक मान स्वीकार करता है। वेबहुक का headers_json हेडर नामों से मानों तक का JSON ऑब्जेक्ट है, जो string के रूप में दिया जाता है।बॉडी
application/json
अंतिम संशोधन 16 नवंबर 2026
वाज़ दिस पेज हेल्पफुल
⌘I
ऑब्ज़र्वेबिलिटी गंतव्य बनाएँ
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
config: {},
enabled: true,
privacy_mode: true,
sampling_rate: 0.50005,
include_generation_metadata: true,
include_cost_metadata: true,
include_identity_metadata: true,
include_request_context: true,
key_filters: [{key_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'}],
rule_groups: [{rules: [{value: '<string>'}]}]
})
};
fetch('https://api.phaseo.app/v1/observability/destinations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.phaseo.app/v1/observability/destinations"
payload = {
"name": "<string>",
"config": {},
"enabled": True,
"privacy_mode": True,
"sampling_rate": 0.50005,
"include_generation_metadata": True,
"include_cost_metadata": True,
"include_identity_metadata": True,
"include_request_context": True,
"key_filters": [{ "key_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }],
"rule_groups": [{ "rules": [{ "value": "<string>" }] }]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)curl --request POST \
--url https://api.phaseo.app/v1/observability/destinations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"config": {},
"enabled": true,
"privacy_mode": true,
"sampling_rate": 0.50005,
"include_generation_metadata": true,
"include_cost_metadata": true,
"include_identity_metadata": true,
"include_request_context": true,
"key_filters": [
{
"key_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"rule_groups": [
{
"rules": [
{
"value": "<string>"
}
]
}
]
}
'package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.phaseo.app/v1/observability/destinations"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"config\": {},\n \"enabled\": true,\n \"privacy_mode\": true,\n \"sampling_rate\": 0.50005,\n \"include_generation_metadata\": true,\n \"include_cost_metadata\": true,\n \"include_identity_metadata\": true,\n \"include_request_context\": true,\n \"key_filters\": [\n {\n \"key_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n }\n ],\n \"rule_groups\": [\n {\n \"rules\": [\n {\n \"value\": \"<string>\"\n }\n ]\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.phaseo.app/v1/observability/destinations")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"config\": {},\n \"enabled\": true,\n \"privacy_mode\": true,\n \"sampling_rate\": 0.50005,\n \"include_generation_metadata\": true,\n \"include_cost_metadata\": true,\n \"include_identity_metadata\": true,\n \"include_request_context\": true,\n \"key_filters\": [\n {\n \"key_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n }\n ],\n \"rule_groups\": [\n {\n \"rules\": [\n {\n \"value\": \"<string>\"\n }\n ]\n }\n ]\n}")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.phaseo.app/v1/observability/destinations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'config' => [
],
'enabled' => true,
'privacy_mode' => true,
'sampling_rate' => 0.50005,
'include_generation_metadata' => true,
'include_cost_metadata' => true,
'include_identity_metadata' => true,
'include_request_context' => true,
'key_filters' => [
[
'key_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
]
],
'rule_groups' => [
[
'rules' => [
[
'value' => '<string>'
]
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.phaseo.app/v1/observability/destinations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"config\": {},\n \"enabled\": true,\n \"privacy_mode\": true,\n \"sampling_rate\": 0.50005,\n \"include_generation_metadata\": true,\n \"include_cost_metadata\": true,\n \"include_identity_metadata\": true,\n \"include_request_context\": true,\n \"key_filters\": [\n {\n \"key_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n }\n ],\n \"rule_groups\": [\n {\n \"rules\": [\n {\n \"value\": \"<string>\"\n }\n ]\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "arize",
"name": "<string>",
"enabled": true,
"privacy_mode": true,
"sampling_rate": 0.50005,
"group_join": "and",
"key_filters": [
{
"key_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mode": "include"
}
],
"rule_groups": [
{
"match": "and",
"rules": [
{
"field": "model",
"condition": "equals",
"value": "<string>"
}
]
}
],
"configured": true,
"include_generation_metadata": true,
"include_cost_metadata": true,
"include_identity_metadata": true,
"include_request_context": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "validation_error",
"message": "Unknown parameter: foo",
"type": "invalid_request_error",
"param": "foo"
},
"ok": false,
"code": "validation_error",
"message": "Human-readable error message",
"description": "Additional error details.",
"generation_id": "G-abc123",
"status_code": 502,
"error_type": "system",
"error_origin": "upstream",
"reason": "all_candidates_failed",
"attempt_count": 2,
"failed_providers": [
"google-ai-studio",
"openai"
],
"failed_statuses": [
403,
429
],
"upstream_error": {
"code": "PERMISSION_DENIED",
"message": "The caller does not have permission.",
"description": "<string>",
"param": "<string>"
},
"failure_sample": [
{
"provider": "<string>",
"type": "<string>",
"status": 123,
"upstream_error_code": "<string>",
"upstream_error_message": "<string>",
"upstream_error_description": "<string>",
"upstream_error_param": "<string>",
"upstream_payload_preview": "<string>",
"retryable": true
}
],
"provider_failure_diagnostics": {
"category": "credentials_not_configured",
"hint": "<string>",
"provider": "<string>"
},
"routing_diagnostics": {
"filterStages": [
{
"stage": "<string>",
"beforeCount": 123,
"afterCount": 123,
"droppedProviders": [
{
"providerId": "<string>",
"reason": "<string>"
}
]
}
]
},
"provider_candidate_diagnostics": {
"totalProviders": 123,
"supportsEndpointCount": 123,
"candidateCount": 123,
"droppedUnsupportedEndpoint": [
"<string>"
],
"droppedMissingAdapter": [
{
"providerId": "<string>",
"endpoint": "<string>"
}
]
},
"provider_enablement": {
"capability": "<string>",
"providersBefore": [
"<string>"
],
"providersAfter": [
"<string>"
],
"dropped": [
{
"providerId": "<string>",
"reason": "<string>"
}
]
},
"missing_pricing_providers": [
"<string>"
],
"provider_payment_required_provider": "openai",
"provider_payment_required_support_notice": "Our upstream provider billing appears to be unavailable. If this persists, contact support.",
"details": [
{}
]
}{
"error": {
"code": "validation_error",
"message": "Unknown parameter: foo",
"type": "invalid_request_error",
"param": "foo"
},
"ok": false,
"code": "validation_error",
"message": "Human-readable error message",
"description": "Additional error details.",
"generation_id": "G-abc123",
"status_code": 502,
"error_type": "system",
"error_origin": "upstream",
"reason": "all_candidates_failed",
"attempt_count": 2,
"failed_providers": [
"google-ai-studio",
"openai"
],
"failed_statuses": [
403,
429
],
"upstream_error": {
"code": "PERMISSION_DENIED",
"message": "The caller does not have permission.",
"description": "<string>",
"param": "<string>"
},
"failure_sample": [
{
"provider": "<string>",
"type": "<string>",
"status": 123,
"upstream_error_code": "<string>",
"upstream_error_message": "<string>",
"upstream_error_description": "<string>",
"upstream_error_param": "<string>",
"upstream_payload_preview": "<string>",
"retryable": true
}
],
"provider_failure_diagnostics": {
"category": "credentials_not_configured",
"hint": "<string>",
"provider": "<string>"
},
"routing_diagnostics": {
"filterStages": [
{
"stage": "<string>",
"beforeCount": 123,
"afterCount": 123,
"droppedProviders": [
{
"providerId": "<string>",
"reason": "<string>"
}
]
}
]
},
"provider_candidate_diagnostics": {
"totalProviders": 123,
"supportsEndpointCount": 123,
"candidateCount": 123,
"droppedUnsupportedEndpoint": [
"<string>"
],
"droppedMissingAdapter": [
{
"providerId": "<string>",
"endpoint": "<string>"
}
]
},
"provider_enablement": {
"capability": "<string>",
"providersBefore": [
"<string>"
],
"providersAfter": [
"<string>"
],
"dropped": [
{
"providerId": "<string>",
"reason": "<string>"
}
]
},
"missing_pricing_providers": [
"<string>"
],
"provider_payment_required_provider": "openai",
"provider_payment_required_support_notice": "Our upstream provider billing appears to be unavailable. If this persists, contact support.",
"details": [
{}
]
}{
"error": {
"code": "validation_error",
"message": "Unknown parameter: foo",
"type": "invalid_request_error",
"param": "foo"
},
"ok": false,
"code": "validation_error",
"message": "Human-readable error message",
"description": "Additional error details.",
"generation_id": "G-abc123",
"status_code": 502,
"error_type": "system",
"error_origin": "upstream",
"reason": "all_candidates_failed",
"attempt_count": 2,
"failed_providers": [
"google-ai-studio",
"openai"
],
"failed_statuses": [
403,
429
],
"upstream_error": {
"code": "PERMISSION_DENIED",
"message": "The caller does not have permission.",
"description": "<string>",
"param": "<string>"
},
"failure_sample": [
{
"provider": "<string>",
"type": "<string>",
"status": 123,
"upstream_error_code": "<string>",
"upstream_error_message": "<string>",
"upstream_error_description": "<string>",
"upstream_error_param": "<string>",
"upstream_payload_preview": "<string>",
"retryable": true
}
],
"provider_failure_diagnostics": {
"category": "credentials_not_configured",
"hint": "<string>",
"provider": "<string>"
},
"routing_diagnostics": {
"filterStages": [
{
"stage": "<string>",
"beforeCount": 123,
"afterCount": 123,
"droppedProviders": [
{
"providerId": "<string>",
"reason": "<string>"
}
]
}
]
},
"provider_candidate_diagnostics": {
"totalProviders": 123,
"supportsEndpointCount": 123,
"candidateCount": 123,
"droppedUnsupportedEndpoint": [
"<string>"
],
"droppedMissingAdapter": [
{
"providerId": "<string>",
"endpoint": "<string>"
}
]
},
"provider_enablement": {
"capability": "<string>",
"providersBefore": [
"<string>"
],
"providersAfter": [
"<string>"
],
"dropped": [
{
"providerId": "<string>",
"reason": "<string>"
}
]
},
"missing_pricing_providers": [
"<string>"
],
"provider_payment_required_provider": "openai",
"provider_payment_required_support_notice": "Our upstream provider billing appears to be unavailable. If this persists, contact support.",
"details": [
{}
]
}